clear
fd = fopen('ltfdat');
vector = fread(fd, inf, 'uint16');
fclose(fd);
data = reshape(vector', 2, length(vector)/2)';

% The next line is used instead of the previous line if there are 3 variables in the file, time, x, and y
% data = reshape(vector', 3, length(vector)/3)';
time = (data(1:end, 1)-data(1, 1))*0.001;
x = data(1:end, 2);
figure(1)

% This plots x
plot(time, x, 'k');
xlabel('Time (sec)')
title('Raw Sensor Values')
pause

% plot Fourier Transform
X = fft(x);
















N=length(time);
T = 0.006;
k=0:N-1;
Gam = 2*pi/N/T;
Xw = ((1-exp(-j*k*Gam*T))./k/j/Gam).*X.';
w = k*Gam;
figure(2)
semilogy(w/2/pi,abs(Xw),'k','linewidth',2)
xlabel('Frequency (Hz)')
ylabel('|X(\omega)|')
axis([0 100 0 200])



% This plots y
%figure(3)
%plot((data(1:end, 1)-data(1, 1))/1000, data(1:end, 3), 'k');
%xlabel('Time (sec)')
%title('Filtered Sensor Values')



